<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `/nix/store/kaan79bbbx80h17lcc5ay919l5r6bqlz-vendored-sources/clap-3.2.16/src/error/kind.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>kind.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../../normalize.css"><link rel="stylesheet" type="text/css" href="../../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../../storage.js"></script><script defer src="../../../source-script.js"></script><script defer src="../../../source-files.js"></script><script defer src="../../../main.js"></script><noscript><link rel="stylesheet" href="../../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../../clap/index.html"><div class="logo-container"><img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../../clap/index.html"><div class="logo-container">
                    <img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../../clap/index.html">
                        <img src="https://raw.githubusercontent.com/clap-rs/clap/master/assets/clap.png" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
<span id="44">44</span>
<span id="45">45</span>
<span id="46">46</span>
<span id="47">47</span>
<span id="48">48</span>
<span id="49">49</span>
<span id="50">50</span>
<span id="51">51</span>
<span id="52">52</span>
<span id="53">53</span>
<span id="54">54</span>
<span id="55">55</span>
<span id="56">56</span>
<span id="57">57</span>
<span id="58">58</span>
<span id="59">59</span>
<span id="60">60</span>
<span id="61">61</span>
<span id="62">62</span>
<span id="63">63</span>
<span id="64">64</span>
<span id="65">65</span>
<span id="66">66</span>
<span id="67">67</span>
<span id="68">68</span>
<span id="69">69</span>
<span id="70">70</span>
<span id="71">71</span>
<span id="72">72</span>
<span id="73">73</span>
<span id="74">74</span>
<span id="75">75</span>
<span id="76">76</span>
<span id="77">77</span>
<span id="78">78</span>
<span id="79">79</span>
<span id="80">80</span>
<span id="81">81</span>
<span id="82">82</span>
<span id="83">83</span>
<span id="84">84</span>
<span id="85">85</span>
<span id="86">86</span>
<span id="87">87</span>
<span id="88">88</span>
<span id="89">89</span>
<span id="90">90</span>
<span id="91">91</span>
<span id="92">92</span>
<span id="93">93</span>
<span id="94">94</span>
<span id="95">95</span>
<span id="96">96</span>
<span id="97">97</span>
<span id="98">98</span>
<span id="99">99</span>
<span id="100">100</span>
<span id="101">101</span>
<span id="102">102</span>
<span id="103">103</span>
<span id="104">104</span>
<span id="105">105</span>
<span id="106">106</span>
<span id="107">107</span>
<span id="108">108</span>
<span id="109">109</span>
<span id="110">110</span>
<span id="111">111</span>
<span id="112">112</span>
<span id="113">113</span>
<span id="114">114</span>
<span id="115">115</span>
<span id="116">116</span>
<span id="117">117</span>
<span id="118">118</span>
<span id="119">119</span>
<span id="120">120</span>
<span id="121">121</span>
<span id="122">122</span>
<span id="123">123</span>
<span id="124">124</span>
<span id="125">125</span>
<span id="126">126</span>
<span id="127">127</span>
<span id="128">128</span>
<span id="129">129</span>
<span id="130">130</span>
<span id="131">131</span>
<span id="132">132</span>
<span id="133">133</span>
<span id="134">134</span>
<span id="135">135</span>
<span id="136">136</span>
<span id="137">137</span>
<span id="138">138</span>
<span id="139">139</span>
<span id="140">140</span>
<span id="141">141</span>
<span id="142">142</span>
<span id="143">143</span>
<span id="144">144</span>
<span id="145">145</span>
<span id="146">146</span>
<span id="147">147</span>
<span id="148">148</span>
<span id="149">149</span>
<span id="150">150</span>
<span id="151">151</span>
<span id="152">152</span>
<span id="153">153</span>
<span id="154">154</span>
<span id="155">155</span>
<span id="156">156</span>
<span id="157">157</span>
<span id="158">158</span>
<span id="159">159</span>
<span id="160">160</span>
<span id="161">161</span>
<span id="162">162</span>
<span id="163">163</span>
<span id="164">164</span>
<span id="165">165</span>
<span id="166">166</span>
<span id="167">167</span>
<span id="168">168</span>
<span id="169">169</span>
<span id="170">170</span>
<span id="171">171</span>
<span id="172">172</span>
<span id="173">173</span>
<span id="174">174</span>
<span id="175">175</span>
<span id="176">176</span>
<span id="177">177</span>
<span id="178">178</span>
<span id="179">179</span>
<span id="180">180</span>
<span id="181">181</span>
<span id="182">182</span>
<span id="183">183</span>
<span id="184">184</span>
<span id="185">185</span>
<span id="186">186</span>
<span id="187">187</span>
<span id="188">188</span>
<span id="189">189</span>
<span id="190">190</span>
<span id="191">191</span>
<span id="192">192</span>
<span id="193">193</span>
<span id="194">194</span>
<span id="195">195</span>
<span id="196">196</span>
<span id="197">197</span>
<span id="198">198</span>
<span id="199">199</span>
<span id="200">200</span>
<span id="201">201</span>
<span id="202">202</span>
<span id="203">203</span>
<span id="204">204</span>
<span id="205">205</span>
<span id="206">206</span>
<span id="207">207</span>
<span id="208">208</span>
<span id="209">209</span>
<span id="210">210</span>
<span id="211">211</span>
<span id="212">212</span>
<span id="213">213</span>
<span id="214">214</span>
<span id="215">215</span>
<span id="216">216</span>
<span id="217">217</span>
<span id="218">218</span>
<span id="219">219</span>
<span id="220">220</span>
<span id="221">221</span>
<span id="222">222</span>
<span id="223">223</span>
<span id="224">224</span>
<span id="225">225</span>
<span id="226">226</span>
<span id="227">227</span>
<span id="228">228</span>
<span id="229">229</span>
<span id="230">230</span>
<span id="231">231</span>
<span id="232">232</span>
<span id="233">233</span>
<span id="234">234</span>
<span id="235">235</span>
<span id="236">236</span>
<span id="237">237</span>
<span id="238">238</span>
<span id="239">239</span>
<span id="240">240</span>
<span id="241">241</span>
<span id="242">242</span>
<span id="243">243</span>
<span id="244">244</span>
<span id="245">245</span>
<span id="246">246</span>
<span id="247">247</span>
<span id="248">248</span>
<span id="249">249</span>
<span id="250">250</span>
<span id="251">251</span>
<span id="252">252</span>
<span id="253">253</span>
<span id="254">254</span>
<span id="255">255</span>
<span id="256">256</span>
<span id="257">257</span>
<span id="258">258</span>
<span id="259">259</span>
<span id="260">260</span>
<span id="261">261</span>
<span id="262">262</span>
<span id="263">263</span>
<span id="264">264</span>
<span id="265">265</span>
<span id="266">266</span>
<span id="267">267</span>
<span id="268">268</span>
<span id="269">269</span>
<span id="270">270</span>
<span id="271">271</span>
<span id="272">272</span>
<span id="273">273</span>
<span id="274">274</span>
<span id="275">275</span>
<span id="276">276</span>
<span id="277">277</span>
<span id="278">278</span>
<span id="279">279</span>
<span id="280">280</span>
<span id="281">281</span>
<span id="282">282</span>
<span id="283">283</span>
<span id="284">284</span>
<span id="285">285</span>
<span id="286">286</span>
<span id="287">287</span>
<span id="288">288</span>
<span id="289">289</span>
<span id="290">290</span>
<span id="291">291</span>
<span id="292">292</span>
<span id="293">293</span>
<span id="294">294</span>
<span id="295">295</span>
<span id="296">296</span>
<span id="297">297</span>
<span id="298">298</span>
<span id="299">299</span>
<span id="300">300</span>
<span id="301">301</span>
<span id="302">302</span>
<span id="303">303</span>
<span id="304">304</span>
<span id="305">305</span>
<span id="306">306</span>
<span id="307">307</span>
<span id="308">308</span>
<span id="309">309</span>
<span id="310">310</span>
<span id="311">311</span>
<span id="312">312</span>
<span id="313">313</span>
<span id="314">314</span>
<span id="315">315</span>
<span id="316">316</span>
<span id="317">317</span>
<span id="318">318</span>
<span id="319">319</span>
<span id="320">320</span>
<span id="321">321</span>
<span id="322">322</span>
<span id="323">323</span>
<span id="324">324</span>
<span id="325">325</span>
<span id="326">326</span>
<span id="327">327</span>
<span id="328">328</span>
<span id="329">329</span>
<span id="330">330</span>
<span id="331">331</span>
<span id="332">332</span>
<span id="333">333</span>
<span id="334">334</span>
<span id="335">335</span>
<span id="336">336</span>
<span id="337">337</span>
<span id="338">338</span>
<span id="339">339</span>
<span id="340">340</span>
<span id="341">341</span>
<span id="342">342</span>
<span id="343">343</span>
<span id="344">344</span>
<span id="345">345</span>
<span id="346">346</span>
<span id="347">347</span>
<span id="348">348</span>
<span id="349">349</span>
<span id="350">350</span>
<span id="351">351</span>
<span id="352">352</span>
<span id="353">353</span>
<span id="354">354</span>
<span id="355">355</span>
<span id="356">356</span>
<span id="357">357</span>
<span id="358">358</span>
<span id="359">359</span>
<span id="360">360</span>
<span id="361">361</span>
<span id="362">362</span>
<span id="363">363</span>
<span id="364">364</span>
<span id="365">365</span>
<span id="366">366</span>
<span id="367">367</span>
<span id="368">368</span>
<span id="369">369</span>
<span id="370">370</span>
<span id="371">371</span>
<span id="372">372</span>
<span id="373">373</span>
<span id="374">374</span>
<span id="375">375</span>
<span id="376">376</span>
<span id="377">377</span>
<span id="378">378</span>
<span id="379">379</span>
<span id="380">380</span>
<span id="381">381</span>
<span id="382">382</span>
<span id="383">383</span>
<span id="384">384</span>
<span id="385">385</span>
<span id="386">386</span>
<span id="387">387</span>
<span id="388">388</span>
<span id="389">389</span>
<span id="390">390</span>
<span id="391">391</span>
<span id="392">392</span>
<span id="393">393</span>
<span id="394">394</span>
<span id="395">395</span>
<span id="396">396</span>
<span id="397">397</span>
<span id="398">398</span>
<span id="399">399</span>
<span id="400">400</span>
<span id="401">401</span>
<span id="402">402</span>
<span id="403">403</span>
<span id="404">404</span>
<span id="405">405</span>
<span id="406">406</span>
<span id="407">407</span>
<span id="408">408</span>
<span id="409">409</span>
<span id="410">410</span>
<span id="411">411</span>
<span id="412">412</span>
<span id="413">413</span>
<span id="414">414</span>
<span id="415">415</span>
<span id="416">416</span>
<span id="417">417</span>
<span id="418">418</span>
<span id="419">419</span>
<span id="420">420</span>
<span id="421">421</span>
<span id="422">422</span>
<span id="423">423</span>
<span id="424">424</span>
<span id="425">425</span>
<span id="426">426</span>
<span id="427">427</span>
<span id="428">428</span>
<span id="429">429</span>
<span id="430">430</span>
<span id="431">431</span>
<span id="432">432</span>
<span id="433">433</span>
<span id="434">434</span>
<span id="435">435</span>
<span id="436">436</span>
<span id="437">437</span>
<span id="438">438</span>
<span id="439">439</span>
<span id="440">440</span>
</pre><pre class="rust"><code><span class="doccomment">/// Command line argument parser kind of error</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>)]</span>
<span class="attribute">#[<span class="ident">non_exhaustive</span>]</span>
<span class="kw">pub</span> <span class="kw">enum</span> <span class="ident">ErrorKind</span> {
    <span class="doccomment">/// Occurs when an [`Arg`][crate::Arg] has a set of possible values,</span>
    <span class="doccomment">/// and the user provides a value which isn&#39;t in that set.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;speed&quot;)</span>
    <span class="doccomment">///         .value_parser([&quot;fast&quot;, &quot;slow&quot;]))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;other&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::InvalidValue);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">InvalidValue</span>,

    <span class="doccomment">/// Occurs when a user provides a flag, option, argument or subcommand which isn&#39;t defined.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(arg!(--flag &quot;some flag&quot;))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--other&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::UnknownArgument);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">UnknownArgument</span>,

    <span class="doccomment">/// Occurs when the user provides an unrecognized [`Subcommand`] which meets the threshold for</span>
    <span class="doccomment">/// being similar enough to an existing subcommand.</span>
    <span class="doccomment">/// If it doesn&#39;t meet the threshold, or the &#39;suggestions&#39; feature is disabled,</span>
    <span class="doccomment">/// the more general [`UnknownArgument`] error is returned.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="attribute">#[<span class="ident">cfg_attr</span>(<span class="ident">not</span>(<span class="ident">feature</span> <span class="op">=</span> <span class="string">&quot;suggestions&quot;</span>), <span class="ident">doc</span> <span class="op">=</span> <span class="string">&quot; ```no_run&quot;</span>)]</span>
    <span class="attribute">#[<span class="ident">cfg_attr</span>(<span class="ident">feature</span> <span class="op">=</span> <span class="string">&quot;suggestions&quot;</span>, <span class="ident">doc</span> <span class="op">=</span> <span class="string">&quot; ```&quot;</span>)]</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind, };</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .subcommand(Command::new(&quot;config&quot;)</span>
    <span class="doccomment">///         .about(&quot;Used for configuration&quot;)</span>
    <span class="doccomment">///         .arg(Arg::new(&quot;config_file&quot;)</span>
    <span class="doccomment">///             .help(&quot;The configuration file to use&quot;)))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;confi&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::InvalidSubcommand);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Subcommand`]: crate::Subcommand</span>
    <span class="doccomment">/// [`UnknownArgument`]: ErrorKind::UnknownArgument</span>
    <span class="ident">InvalidSubcommand</span>,

    <span class="doccomment">/// Occurs when the user provides an unrecognized [`Subcommand`] which either</span>
    <span class="doccomment">/// doesn&#39;t meet the threshold for being similar enough to an existing subcommand,</span>
    <span class="doccomment">/// or the &#39;suggestions&#39; feature is disabled.</span>
    <span class="doccomment">/// Otherwise the more detailed [`InvalidSubcommand`] error is returned.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// This error typically happens when passing additional subcommand names to the `help`</span>
    <span class="doccomment">/// subcommand. Otherwise, the more general [`UnknownArgument`] error is used.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind, };</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .subcommand(Command::new(&quot;config&quot;)</span>
    <span class="doccomment">///         .about(&quot;Used for configuration&quot;)</span>
    <span class="doccomment">///         .arg(Arg::new(&quot;config_file&quot;)</span>
    <span class="doccomment">///             .help(&quot;The configuration file to use&quot;)))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;help&quot;, &quot;nothing&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::UnrecognizedSubcommand);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Subcommand`]: crate::Subcommand</span>
    <span class="doccomment">/// [`InvalidSubcommand`]: ErrorKind::InvalidSubcommand</span>
    <span class="doccomment">/// [`UnknownArgument`]: ErrorKind::UnknownArgument</span>
    <span class="ident">UnrecognizedSubcommand</span>,

    <span class="doccomment">/// Occurs when the user provides an empty value for an option that does not allow empty</span>
    <span class="doccomment">/// values.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let res = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;color&quot;)</span>
    <span class="doccomment">///          .takes_value(true)</span>
    <span class="doccomment">///          .forbid_empty_values(true)</span>
    <span class="doccomment">///          .long(&quot;color&quot;))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--color=&quot;]);</span>
    <span class="doccomment">/// assert!(res.is_err());</span>
    <span class="doccomment">/// assert_eq!(res.unwrap_err().kind(), ErrorKind::EmptyValue);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">EmptyValue</span>,

    <span class="doccomment">/// Occurs when the user doesn&#39;t use equals for an option that requires equal</span>
    <span class="doccomment">/// sign to provide values.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let res = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;color&quot;)</span>
    <span class="doccomment">///          .takes_value(true)</span>
    <span class="doccomment">///          .require_equals(true)</span>
    <span class="doccomment">///          .long(&quot;color&quot;))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--color&quot;, &quot;red&quot;]);</span>
    <span class="doccomment">/// assert!(res.is_err());</span>
    <span class="doccomment">/// assert_eq!(res.unwrap_err().kind(), ErrorKind::NoEquals);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">NoEquals</span>,

    <span class="doccomment">/// Occurs when the user provides a value for an argument with a custom validation and the</span>
    <span class="doccomment">/// value fails that validation.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// fn is_numeric(val: &amp;str) -&gt; Result&lt;(), String&gt; {</span>
    <span class="doccomment">///     match val.parse::&lt;i64&gt;() {</span>
    <span class="doccomment">///         Ok(..) =&gt; Ok(()),</span>
    <span class="doccomment">///         Err(..) =&gt; Err(String::from(&quot;Value wasn&#39;t a number!&quot;)),</span>
    <span class="doccomment">///     }</span>
    <span class="doccomment">/// }</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;num&quot;)</span>
    <span class="doccomment">///          .validator(is_numeric))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;NotANumber&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::ValueValidation);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">ValueValidation</span>,

    <span class="doccomment">/// Occurs when a user provides more values for an argument than were defined by setting</span>
    <span class="doccomment">/// [`Arg::max_values`].</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;arg&quot;)</span>
    <span class="doccomment">///         .max_values(2))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;too&quot;, &quot;many&quot;, &quot;values&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::TooManyValues);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">/// [`Arg::max_values`]: crate::Arg::max_values()</span>
    <span class="ident">TooManyValues</span>,

    <span class="doccomment">/// Occurs when the user provides fewer values for an argument than were defined by setting</span>
    <span class="doccomment">/// [`Arg::min_values`].</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;some_opt&quot;)</span>
    <span class="doccomment">///         .long(&quot;opt&quot;)</span>
    <span class="doccomment">///         .min_values(3))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--opt&quot;, &quot;too&quot;, &quot;few&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::TooFewValues);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">/// [`Arg::min_values`]: crate::Arg::min_values()</span>
    <span class="ident">TooFewValues</span>,

    <span class="doccomment">/// Occurs when a user provides more occurrences for an argument than were defined by setting</span>
    <span class="doccomment">/// [`Arg::max_occurrences`].</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;verbosity&quot;)</span>
    <span class="doccomment">///         .short(&#39;v&#39;)</span>
    <span class="doccomment">///         .max_occurrences(2))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;-vvv&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::TooManyOccurrences);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">/// [`Arg::max_occurrences`]: crate::Arg::max_occurrences()</span>
    <span class="ident">TooManyOccurrences</span>,

    <span class="doccomment">/// Occurs when the user provides a different number of values for an argument than what&#39;s</span>
    <span class="doccomment">/// been defined by setting [`Arg::number_of_values`] or than was implicitly set by</span>
    <span class="doccomment">/// [`Arg::value_names`].</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;some_opt&quot;)</span>
    <span class="doccomment">///         .long(&quot;opt&quot;)</span>
    <span class="doccomment">///         .takes_value(true)</span>
    <span class="doccomment">///         .number_of_values(2))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--opt&quot;, &quot;wrong&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::WrongNumberOfValues);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Arg::number_of_values`]: crate::Arg::number_of_values()</span>
    <span class="doccomment">/// [`Arg::value_names`]: crate::Arg::value_names()</span>
    <span class="ident">WrongNumberOfValues</span>,

    <span class="doccomment">/// Occurs when the user provides two values which conflict with each other and can&#39;t be used</span>
    <span class="doccomment">/// together.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;debug&quot;)</span>
    <span class="doccomment">///         .long(&quot;debug&quot;)</span>
    <span class="doccomment">///         .conflicts_with(&quot;color&quot;))</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;color&quot;)</span>
    <span class="doccomment">///         .long(&quot;color&quot;))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--debug&quot;, &quot;--color&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::ArgumentConflict);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">ArgumentConflict</span>,

    <span class="doccomment">/// Occurs when the user does not provide one or more required arguments.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;debug&quot;)</span>
    <span class="doccomment">///         .required(true))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::MissingRequiredArgument);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">MissingRequiredArgument</span>,

    <span class="doccomment">/// Occurs when a subcommand is required (as defined by [`Command::subcommand_required`]),</span>
    <span class="doccomment">/// but the user does not provide one.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, ErrorKind};</span>
    <span class="doccomment">/// let err = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .subcommand_required(true)</span>
    <span class="doccomment">///     .subcommand(Command::new(&quot;test&quot;))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![</span>
    <span class="doccomment">///         &quot;myprog&quot;,</span>
    <span class="doccomment">///     ]);</span>
    <span class="doccomment">/// assert!(err.is_err());</span>
    <span class="doccomment">/// assert_eq!(err.unwrap_err().kind(), ErrorKind::MissingSubcommand);</span>
    <span class="doccomment">/// # ;</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Command::subcommand_required`]: crate::Command::subcommand_required</span>
    <span class="ident">MissingSubcommand</span>,

    <span class="doccomment">/// Occurs when the user provides multiple values to an argument which doesn&#39;t allow that.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;debug&quot;)</span>
    <span class="doccomment">///         .long(&quot;debug&quot;)</span>
    <span class="doccomment">///         .multiple_occurrences(false))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--debug&quot;, &quot;--debug&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::UnexpectedMultipleUsage);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">UnexpectedMultipleUsage</span>,

    <span class="doccomment">/// Occurs when the user provides a value containing invalid UTF-8.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// To allow arbitrary data</span>
    <span class="doccomment">/// - Set [`Arg::allow_invalid_utf8`] for argument values</span>
    <span class="doccomment">/// - Set [`Command::allow_invalid_utf8_for_external_subcommands`] for external-subcommand</span>
    <span class="doccomment">///   values</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Platform Specific</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// Non-Windows platforms only (such as Linux, Unix, OSX, etc.)</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="attribute">#[<span class="ident">cfg_attr</span>(<span class="ident">not</span>(<span class="ident">unix</span>), <span class="ident">doc</span> <span class="op">=</span> <span class="string">&quot; ```ignore&quot;</span>)]</span>
    <span class="attribute">#[<span class="ident">cfg_attr</span>(<span class="ident">unix</span>, <span class="ident">doc</span> <span class="op">=</span> <span class="string">&quot; ```&quot;</span>)]</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// # use std::os::unix::ffi::OsStringExt;</span>
    <span class="doccomment">/// # use std::ffi::OsString;</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg(Arg::new(&quot;utf8&quot;)</span>
    <span class="doccomment">///         .short(&#39;u&#39;)</span>
    <span class="doccomment">///         .takes_value(true))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![OsString::from(&quot;myprog&quot;),</span>
    <span class="doccomment">///                                 OsString::from(&quot;-u&quot;),</span>
    <span class="doccomment">///                                 OsString::from_vec(vec![0xE9])]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::InvalidUtf8);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Arg::allow_invalid_utf8`]: crate::Arg::allow_invalid_utf8</span>
    <span class="doccomment">/// [`Command::allow_invalid_utf8_for_external_subcommands`]: crate::Command::allow_invalid_utf8_for_external_subcommands</span>
    <span class="ident">InvalidUtf8</span>,

    <span class="doccomment">/// Not a true &quot;error&quot; as it means `--help` or similar was used.</span>
    <span class="doccomment">/// The help message will be sent to `stdout`.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// **Note**: If the help is displayed due to an error (such as missing subcommands) it will</span>
    <span class="doccomment">/// be sent to `stderr` instead of `stdout`.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--help&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::DisplayHelp);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">DisplayHelp</span>,

    <span class="doccomment">/// Occurs when either an argument or a [`Subcommand`] is required, as defined by</span>
    <span class="doccomment">/// [`Command::arg_required_else_help`] , but the user did not provide</span>
    <span class="doccomment">/// one.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind, };</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .arg_required_else_help(true)</span>
    <span class="doccomment">///     .subcommand(Command::new(&quot;config&quot;)</span>
    <span class="doccomment">///         .about(&quot;Used for configuration&quot;)</span>
    <span class="doccomment">///         .arg(Arg::new(&quot;config_file&quot;)</span>
    <span class="doccomment">///             .help(&quot;The configuration file to use&quot;)))</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::DisplayHelpOnMissingArgumentOrSubcommand);</span>
    <span class="doccomment">/// ```</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Subcommand`]: crate::Subcommand</span>
    <span class="doccomment">/// [`Command::arg_required_else_help`]: crate::Command::arg_required_else_help</span>
    <span class="ident">DisplayHelpOnMissingArgumentOrSubcommand</span>,

    <span class="doccomment">/// Not a true &quot;error&quot; as it means `--version` or similar was used.</span>
    <span class="doccomment">/// The message will be sent to `stdout`.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// # Examples</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// ```rust</span>
    <span class="doccomment">/// # use clap::{Command, Arg, ErrorKind};</span>
    <span class="doccomment">/// let result = Command::new(&quot;prog&quot;)</span>
    <span class="doccomment">///     .version(&quot;3.0&quot;)</span>
    <span class="doccomment">///     .try_get_matches_from(vec![&quot;prog&quot;, &quot;--version&quot;]);</span>
    <span class="doccomment">/// assert!(result.is_err());</span>
    <span class="doccomment">/// assert_eq!(result.unwrap_err().kind(), ErrorKind::DisplayVersion);</span>
    <span class="doccomment">/// ```</span>
    <span class="ident">DisplayVersion</span>,

    <span class="doccomment">/// Occurs when using the [`ArgMatches::value_of_t`] and friends to convert an argument value</span>
    <span class="doccomment">/// into type `T`, but the argument you requested wasn&#39;t used. I.e. you asked for an argument</span>
    <span class="doccomment">/// with name `config` to be converted, but `config` wasn&#39;t used by the user.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`ArgMatches::value_of_t`]: crate::ArgMatches::value_of_t()</span>
    <span class="ident">ArgumentNotFound</span>,

    <span class="doccomment">/// Represents an [I/O error].</span>
    <span class="doccomment">/// Can occur when writing to `stderr` or `stdout` or reading a configuration file.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [I/O error]: std::io::Error</span>
    <span class="ident">Io</span>,

    <span class="doccomment">/// Represents a [Format error] (which is a part of [`Display`]).</span>
    <span class="doccomment">/// Typically caused by writing to `stderr` or `stdout`.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// [`Display`]: std::fmt::Display</span>
    <span class="doccomment">/// [Format error]: std::fmt::Error</span>
    <span class="ident">Format</span>,
}

<span class="kw">impl</span> <span class="ident">ErrorKind</span> {
    <span class="doccomment">/// End-user description of the error case, where relevant</span>
    <span class="kw">pub</span> <span class="kw">fn</span> <span class="ident">as_str</span>(<span class="self">self</span>) -&gt; <span class="prelude-ty">Option</span><span class="op">&lt;</span><span class="kw-2">&amp;</span><span class="lifetime">&#39;static</span> <span class="ident">str</span><span class="op">&gt;</span> {
        <span class="kw">match</span> <span class="self">self</span> {
            <span class="ident"><span class="self">Self</span>::InvalidValue</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;One of the values isn&#39;t valid for an argument&quot;</span>),
            <span class="ident"><span class="self">Self</span>::UnknownArgument</span> =&gt; {
                <span class="prelude-val">Some</span>(<span class="string">&quot;Found an argument which wasn&#39;t expected or isn&#39;t valid in this context&quot;</span>)
            }
            <span class="ident"><span class="self">Self</span>::InvalidSubcommand</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;A subcommand wasn&#39;t recognized&quot;</span>),
            <span class="ident"><span class="self">Self</span>::UnrecognizedSubcommand</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;A subcommand wasn&#39;t recognized&quot;</span>),
            <span class="ident"><span class="self">Self</span>::EmptyValue</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument requires a value but none was supplied&quot;</span>),
            <span class="ident"><span class="self">Self</span>::NoEquals</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;Equal is needed when assigning values to one of the arguments&quot;</span>),
            <span class="ident"><span class="self">Self</span>::ValueValidation</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;Invalid value for one of the arguments&quot;</span>),
            <span class="ident"><span class="self">Self</span>::TooManyValues</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument received an unexpected value&quot;</span>),
            <span class="ident"><span class="self">Self</span>::TooFewValues</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument requires more values&quot;</span>),
            <span class="ident"><span class="self">Self</span>::TooManyOccurrences</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument occurred too many times&quot;</span>),
            <span class="ident"><span class="self">Self</span>::WrongNumberOfValues</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument received too many or too few values&quot;</span>),
            <span class="ident"><span class="self">Self</span>::ArgumentConflict</span> =&gt; {
                <span class="prelude-val">Some</span>(<span class="string">&quot;An argument cannot be used with one or more of the other specified arguments&quot;</span>)
            }
            <span class="ident"><span class="self">Self</span>::MissingRequiredArgument</span> =&gt; {
                <span class="prelude-val">Some</span>(<span class="string">&quot;One or more required arguments were not provided&quot;</span>)
            }
            <span class="ident"><span class="self">Self</span>::MissingSubcommand</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;A subcommand is required but one was not provided&quot;</span>),
            <span class="ident"><span class="self">Self</span>::UnexpectedMultipleUsage</span> =&gt; {
                <span class="prelude-val">Some</span>(<span class="string">&quot;An argument was provided more than once but cannot be used multiple times&quot;</span>)
            }
            <span class="ident"><span class="self">Self</span>::InvalidUtf8</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;Invalid UTF-8 was detected in one or more arguments&quot;</span>),
            <span class="ident"><span class="self">Self</span>::DisplayHelp</span> =&gt; <span class="prelude-val">None</span>,
            <span class="ident"><span class="self">Self</span>::DisplayHelpOnMissingArgumentOrSubcommand</span> =&gt; <span class="prelude-val">None</span>,
            <span class="ident"><span class="self">Self</span>::DisplayVersion</span> =&gt; <span class="prelude-val">None</span>,
            <span class="ident"><span class="self">Self</span>::ArgumentNotFound</span> =&gt; <span class="prelude-val">Some</span>(<span class="string">&quot;An argument wasn&#39;t found&quot;</span>),
            <span class="ident"><span class="self">Self</span>::Io</span> =&gt; <span class="prelude-val">None</span>,
            <span class="ident"><span class="self">Self</span>::Format</span> =&gt; <span class="prelude-val">None</span>,
        }
    }
}

<span class="kw">impl</span> <span class="ident">std::fmt::Display</span> <span class="kw">for</span> <span class="ident">ErrorKind</span> {
    <span class="kw">fn</span> <span class="ident">fmt</span>(<span class="kw-2">&amp;</span><span class="self">self</span>, <span class="ident">f</span>: <span class="kw-2">&amp;mut</span> <span class="ident">std::fmt::Formatter</span><span class="op">&lt;</span><span class="lifetime">&#39;_</span><span class="op">&gt;</span>) -&gt; <span class="ident">std::fmt::Result</span> {
        <span class="self">self</span>.<span class="ident">as_str</span>().<span class="ident">unwrap_or_default</span>().<span class="ident">fmt</span>(<span class="ident">f</span>)
    }
}
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../../" data-current-crate="clap" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>